return {
  'epwalsh/obsidian.nvim',
  version = '*',
  lazy = true,
  ft = 'markdown',
  dependencies = {
    'nvim-lua/plenary.nvim',
  },
  opts = {
    workspaces = {
      {
        name = 'work',
        path = '~/notes-work',
      },
      {
        name = 'personal',
        path = '~/notes-personal',
      },
    },
    templates = {
      folder = '~/notes-templates',
      date_format = '%Y-%m-%d',
      time_format = '%H:%M',
    },
    disable_frontmatter = true,
    ui = {
      enable = true,
      --      checkboxes = {
      --        [' '] = { char = '👀', hl_group = 'ObsidianTodo' },
      --        ['/'] = { char = '🚧', hl_group = 'ObsidianDoing' },
      --        ['x'] = { char = '✅', hl_group = 'ObsidianDone' },
      --      },
    },
  },
}
